<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>LVLFAbstractType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LVLFAbstractType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":9,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":42,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LVLFAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/LSTFAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/PAPAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/LVLFAbstractType.html" target="_top">Frames</a>
        </li>
        <li><a href="LVLFAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model.types</div>
    <h2 title="Class LVLFAbstractType" class="title">Class LVLFAbstractType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.model.types.LVLFAbstractType</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract class <span class="typeNameLabel">LVLFAbstractType</span>
extends java.lang.Object</pre>
                <div class="block">The LVLF structure contains formatting properties for an individual level in a
                    list. <p>Class and fields descriptions are quoted from Microsoft Office Word 97-2007
                        Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

                    <p>
                        NOTE: This source is automatically generated please do not modify this file. Either subclass or
                        remove the record in src/types/definitions.
                    <p>
                        This class is internal. It content or properties may change without notice
                        due to changes in our knowledge of internal Microsoft Word binary structures.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format
                        Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_1_iStartAt">field_1_iStartAt</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_10_ilvlRestartLim">field_10_ilvlRestartLim</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                        title="class in org.apache.poi.hwpf.model">Grfhic</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_11_grfhic">field_11_grfhic</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_2_nfc">field_2_nfc</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_3_info">field_3_info</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_4_rgbxchNums">field_4_rgbxchNums</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_5_ixchFollow">field_5_ixchFollow</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_6_dxaIndentSav">field_6_dxaIndentSav</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_7_unused2">field_7_unused2</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_8_cbGrpprlChpx">field_8_cbGrpprlChpx</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#field_9_cbGrpprlPapx">field_9_cbGrpprlPapx</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#LVLFAbstractType--">LVLFAbstractType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#fillFields-byte:A-int-">fillFields</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getCbGrpprlChpx--">getCbGrpprlChpx</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the size, in bytes, of the
                                        grpprlChpx in the LVL that contains this LVLF.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getCbGrpprlPapx--">getCbGrpprlPapx</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the size, in bytes, of the
                                        grpprlPapx in the LVL that contains this LVLF.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getDxaIndentSav--">getDxaIndentSav</a></span>()</code>
                                    <div class="block">If fIndentSav is nonzero, this is a signed integer that specifies
                                        the size, in twips, of the indent that needs to be removed when the numbering is
                                        removed.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                        title="class in org.apache.poi.hwpf.model">Grfhic</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getGrfhic--">getGrfhic</a></span>()</code>
                                    <div class="block">A grfhic that specifies the HTML incompatibilities of the
                                        level..
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getIlvlRestartLim--">getIlvlRestartLim</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the first (most-significant)
                                        zero-based level after which the number sequence of this level does not restart.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getInfo--">getInfo</a></span>()</code>
                                    <div class="block">Get the info field for the LVLF record.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getIStartAt--">getIStartAt</a></span>()</code>
                                    <div class="block">A signed integer that specifies the beginning number for the
                                        number sequence belonging to this level.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getIxchFollow--">getIxchFollow</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the character that follows the
                                        number text.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getJc--">getJc</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the justification of this
                                        level
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getNfc--">getNfc</a></span>()</code>
                                    <div class="block">An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that
                                        specifies the format of the level numbers that replace the placeholders for this
                                        level in the xst fields of the LVLs in this list.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getRgbxchNums--">getRgbxchNums</a></span>()</code>
                                    <div class="block">An array of 8-bit integers.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getSize--">getSize</a></span>()</code>
                                    <div class="block">Size of record</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#getUnused2--">getUnused2</a></span>()</code>
                                    <div class="block">This field MUST be ignored.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#isFConverted--">isFConverted</a></span>()</code>
                                    <div class="block">A bit that specifies whether the nfc of this LVLF structure was
                                        previously a temporary value used for bidirectional compatibility that was
                                        converted into a standard MSONFC
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#isFIndentSav--">isFIndentSav</a></span>()</code>
                                    <div class="block">A bit that specifies whether the level indented the text it was
                                        applied to and that the indent needs to be removed when numbering is removed.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#isFLegal--">isFLegal</a></span>()</code>
                                    <div class="block">A bit that specifies whether this level overrides the nfc of all
                                        inherited level numbers.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#isFNoRestart--">isFNoRestart</a></span>()</code>
                                    <div class="block">A bit that specifies whether the number sequence of the level
                                        does not restart after a level is encountered that is more significant than the
                                        level to which this LVLF corresponds
                                    </div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#isFTentative--">isFTentative</a></span>()</code>
                                    <div class="block">A bit that specifies whether the format of the level is
                                        tentative
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#isUnused1--">isUnused1</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">This field should not be used according to specification</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#serialize--">serialize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#serialize-byte:A-int-">serialize</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setCbGrpprlChpx-short-">setCbGrpprlChpx</a></span>(short&nbsp;field_8_cbGrpprlChpx)</code>
                                    <div class="block">An unsigned integer that specifies the size, in bytes, of the
                                        grpprlChpx in the LVL that contains this LVLF.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setCbGrpprlPapx-short-">setCbGrpprlPapx</a></span>(short&nbsp;field_9_cbGrpprlPapx)</code>
                                    <div class="block">An unsigned integer that specifies the size, in bytes, of the
                                        grpprlPapx in the LVL that contains this LVLF.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setDxaIndentSav-int-">setDxaIndentSav</a></span>(int&nbsp;field_6_dxaIndentSav)</code>
                                    <div class="block">If fIndentSav is nonzero, this is a signed integer that specifies
                                        the size, in twips, of the indent that needs to be removed when the numbering is
                                        removed.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setFConverted-boolean-">setFConverted</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fConverted field value.</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setFIndentSav-boolean-">setFIndentSav</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fIndentSav field value.</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setFLegal-boolean-">setFLegal</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fLegal field value.</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setFNoRestart-boolean-">setFNoRestart</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fNoRestart field value.</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setFTentative-boolean-">setFTentative</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fTentative field value.</div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setGrfhic-org.apache.poi.hwpf.model.Grfhic-">setGrfhic</a></span>(<a
                                        href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                        title="class in org.apache.poi.hwpf.model">Grfhic</a>&nbsp;field_11_grfhic)</code>
                                    <div class="block">A grfhic that specifies the HTML incompatibilities of the
                                        level..
                                    </div>
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setIlvlRestartLim-short-">setIlvlRestartLim</a></span>(short&nbsp;field_10_ilvlRestartLim)</code>
                                    <div class="block">An unsigned integer that specifies the first (most-significant)
                                        zero-based level after which the number sequence of this level does not restart.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setInfo-byte-">setInfo</a></span>(byte&nbsp;field_3_info)</code>
                                    <div class="block">Set the info field for the LVLF record.</div>
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setIStartAt-int-">setIStartAt</a></span>(int&nbsp;field_1_iStartAt)</code>
                                    <div class="block">A signed integer that specifies the beginning number for the
                                        number sequence belonging to this level.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setIxchFollow-byte-">setIxchFollow</a></span>(byte&nbsp;field_5_ixchFollow)</code>
                                    <div class="block">An unsigned integer that specifies the character that follows the
                                        number text.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setJc-byte-">setJc</a></span>(byte&nbsp;value)</code>
                                    <div class="block">Sets the jc field value.</div>
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setNfc-byte-">setNfc</a></span>(byte&nbsp;field_2_nfc)</code>
                                    <div class="block">An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that
                                        specifies the format of the level numbers that replace the placeholders for this
                                        level in the xst fields of the LVLs in this list.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setRgbxchNums-byte:A-">setRgbxchNums</a></span>(byte[]&nbsp;field_4_rgbxchNums)</code>
                                    <div class="block">An array of 8-bit integers.</div>
                                </td>
                            </tr>
                            <tr id="i40" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setUnused1-boolean-">setUnused1</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the unused1 field value.</div>
                                </td>
                            </tr>
                            <tr id="i41" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#setUnused2-int-">setUnused2</a></span>(int&nbsp;field_7_unused2)</code>
                                    <div class="block">This field MUST be ignored.</div>
                                </td>
                            </tr>
                            <tr id="i42" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="field_1_iStartAt">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_1_iStartAt</h4>
                                <pre>protected&nbsp;int field_1_iStartAt</pre>
                            </li>
                        </ul>
                        <a name="field_2_nfc">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_2_nfc</h4>
                                <pre>protected&nbsp;byte field_2_nfc</pre>
                            </li>
                        </ul>
                        <a name="field_3_info">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_3_info</h4>
                                <pre>protected&nbsp;byte field_3_info</pre>
                            </li>
                        </ul>
                        <a name="field_4_rgbxchNums">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_4_rgbxchNums</h4>
                                <pre>protected&nbsp;byte[] field_4_rgbxchNums</pre>
                            </li>
                        </ul>
                        <a name="field_5_ixchFollow">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_5_ixchFollow</h4>
                                <pre>protected&nbsp;byte field_5_ixchFollow</pre>
                            </li>
                        </ul>
                        <a name="field_6_dxaIndentSav">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_6_dxaIndentSav</h4>
                                <pre>protected&nbsp;int field_6_dxaIndentSav</pre>
                            </li>
                        </ul>
                        <a name="field_7_unused2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_7_unused2</h4>
                                <pre>protected&nbsp;int field_7_unused2</pre>
                            </li>
                        </ul>
                        <a name="field_8_cbGrpprlChpx">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_8_cbGrpprlChpx</h4>
                                <pre>protected&nbsp;short field_8_cbGrpprlChpx</pre>
                            </li>
                        </ul>
                        <a name="field_9_cbGrpprlPapx">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_9_cbGrpprlPapx</h4>
                                <pre>protected&nbsp;short field_9_cbGrpprlPapx</pre>
                            </li>
                        </ul>
                        <a name="field_10_ilvlRestartLim">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_10_ilvlRestartLim</h4>
                                <pre>protected&nbsp;short field_10_ilvlRestartLim</pre>
                            </li>
                        </ul>
                        <a name="field_11_grfhic">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>field_11_grfhic</h4>
                                <pre>protected&nbsp;<a href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                                       title="class in org.apache.poi.hwpf.model">Grfhic</a> field_11_grfhic</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="LVLFAbstractType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>LVLFAbstractType</h4>
                                <pre>protected&nbsp;LVLFAbstractType()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fillFields-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillFields</h4>
                                <pre>protected&nbsp;void&nbsp;fillFields(byte[]&nbsp;data,
                          int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="serialize-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(byte[]&nbsp;data,
                      int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="serialize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;byte[]&nbsp;serialize()</pre>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public static&nbsp;int&nbsp;getSize()</pre>
                                <div class="block">Size of record</div>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIStartAt--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIStartAt</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getIStartAt()</pre>
                                <div class="block">A signed integer that specifies the beginning number for the number
                                    sequence belonging to this level. This value MUST be less than or equal to 0x7FFF
                                    and MUST be greater than or equal to zero. If this level does not have a number
                                    sequence (see nfc), this MUST be ignored.
                                </div>
                            </li>
                        </ul>
                        <a name="setIStartAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIStartAt</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setIStartAt(int&nbsp;field_1_iStartAt)</pre>
                                <div class="block">A signed integer that specifies the beginning number for the number
                                    sequence belonging to this level. This value MUST be less than or equal to 0x7FFF
                                    and MUST be greater than or equal to zero. If this level does not have a number
                                    sequence (see nfc), this MUST be ignored.
                                </div>
                            </li>
                        </ul>
                        <a name="getNfc--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNfc</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte&nbsp;getNfc()</pre>
                                <div class="block">An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that
                                    specifies the format of the level numbers that replace the placeholders for this
                                    level in the xst fields of the LVLs in this list. This value MUST not be equal to
                                    0x08, 0x09, 0x0F, or 0x13. If this is equal to 0xFF or 0x17, this level does not
                                    have a number sequence and therefore has no number formatting. If this is equal to
                                    0x17, the level uses bullets.
                                </div>
                            </li>
                        </ul>
                        <a name="setNfc-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNfc</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setNfc(byte&nbsp;field_2_nfc)</pre>
                                <div class="block">An MSONFC, as specified in [MS-OSHARED] section 2.2.1.3, that
                                    specifies the format of the level numbers that replace the placeholders for this
                                    level in the xst fields of the LVLs in this list. This value MUST not be equal to
                                    0x08, 0x09, 0x0F, or 0x13. If this is equal to 0xFF or 0x17, this level does not
                                    have a number sequence and therefore has no number formatting. If this is equal to
                                    0x17, the level uses bullets.
                                </div>
                            </li>
                        </ul>
                        <a name="getInfo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInfo</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte&nbsp;getInfo()</pre>
                                <div class="block">Get the info field for the LVLF record.</div>
                            </li>
                        </ul>
                        <a name="setInfo-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setInfo</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setInfo(byte&nbsp;field_3_info)</pre>
                                <div class="block">Set the info field for the LVLF record.</div>
                            </li>
                        </ul>
                        <a name="getRgbxchNums--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRgbxchNums</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte[]&nbsp;getRgbxchNums()</pre>
                                <div class="block">An array of 8-bit integers. Each integer specifies a one-based
                                    character offset to a level placeholder in the xst.rgtchar of the LVL that contains
                                    this LVLF. This array is zero-terminated, unless it is full. The count of elements
                                    in this array, before to the first terminating zero, MUST be less than or equal to
                                    the one-based level of the list to which this LVL corresponds. The integers in this
                                    array, before the first terminating zero, MUST be in ascending order, and MUST be
                                    unique.
                                </div>
                            </li>
                        </ul>
                        <a name="setRgbxchNums-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRgbxchNums</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setRgbxchNums(byte[]&nbsp;field_4_rgbxchNums)</pre>
                                <div class="block">An array of 8-bit integers. Each integer specifies a one-based
                                    character offset to a level placeholder in the xst.rgtchar of the LVL that contains
                                    this LVLF. This array is zero-terminated, unless it is full. The count of elements
                                    in this array, before to the first terminating zero, MUST be less than or equal to
                                    the one-based level of the list to which this LVL corresponds. The integers in this
                                    array, before the first terminating zero, MUST be in ascending order, and MUST be
                                    unique.
                                </div>
                            </li>
                        </ul>
                        <a name="getIxchFollow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIxchFollow</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte&nbsp;getIxchFollow()</pre>
                                <div class="block">An unsigned integer that specifies the character that follows the
                                    number text.
                                </div>
                            </li>
                        </ul>
                        <a name="setIxchFollow-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIxchFollow</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setIxchFollow(byte&nbsp;field_5_ixchFollow)</pre>
                                <div class="block">An unsigned integer that specifies the character that follows the
                                    number text.
                                </div>
                            </li>
                        </ul>
                        <a name="getDxaIndentSav--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDxaIndentSav</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getDxaIndentSav()</pre>
                                <div class="block">If fIndentSav is nonzero, this is a signed integer that specifies the
                                    size, in twips, of the indent that needs to be removed when the numbering is
                                    removed. This MUST be less than or equal to 0x00007BC0 or greater than or equal to
                                    0xFFFF8440. If fIndentSav is zero, this MUST be ignored.
                                </div>
                            </li>
                        </ul>
                        <a name="setDxaIndentSav-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDxaIndentSav</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setDxaIndentSav(int&nbsp;field_6_dxaIndentSav)</pre>
                                <div class="block">If fIndentSav is nonzero, this is a signed integer that specifies the
                                    size, in twips, of the indent that needs to be removed when the numbering is
                                    removed. This MUST be less than or equal to 0x00007BC0 or greater than or equal to
                                    0xFFFF8440. If fIndentSav is zero, this MUST be ignored.
                                </div>
                            </li>
                        </ul>
                        <a name="getUnused2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnused2</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getUnused2()</pre>
                                <div class="block">This field MUST be ignored.</div>
                            </li>
                        </ul>
                        <a name="setUnused2-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnused2</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setUnused2(int&nbsp;field_7_unused2)</pre>
                                <div class="block">This field MUST be ignored.</div>
                            </li>
                        </ul>
                        <a name="getCbGrpprlChpx--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCbGrpprlChpx</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;short&nbsp;getCbGrpprlChpx()</pre>
                                <div class="block">An unsigned integer that specifies the size, in bytes, of the
                                    grpprlChpx in the LVL that contains this LVLF.
                                </div>
                            </li>
                        </ul>
                        <a name="setCbGrpprlChpx-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCbGrpprlChpx</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setCbGrpprlChpx(short&nbsp;field_8_cbGrpprlChpx)</pre>
                                <div class="block">An unsigned integer that specifies the size, in bytes, of the
                                    grpprlChpx in the LVL that contains this LVLF.
                                </div>
                            </li>
                        </ul>
                        <a name="getCbGrpprlPapx--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCbGrpprlPapx</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;short&nbsp;getCbGrpprlPapx()</pre>
                                <div class="block">An unsigned integer that specifies the size, in bytes, of the
                                    grpprlPapx in the LVL that contains this LVLF.
                                </div>
                            </li>
                        </ul>
                        <a name="setCbGrpprlPapx-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCbGrpprlPapx</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setCbGrpprlPapx(short&nbsp;field_9_cbGrpprlPapx)</pre>
                                <div class="block">An unsigned integer that specifies the size, in bytes, of the
                                    grpprlPapx in the LVL that contains this LVLF.
                                </div>
                            </li>
                        </ul>
                        <a name="getIlvlRestartLim--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIlvlRestartLim</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;short&nbsp;getIlvlRestartLim()</pre>
                                <div class="block">An unsigned integer that specifies the first (most-significant)
                                    zero-based level after which the number sequence of this level does not restart. The
                                    number sequence of this level does restart after any level that is more significant
                                    than the specified level. This MUST be less than or equal to the zero-based level of
                                    the list to which this LVLF corresponds. If fNoRestart is zero, this MUST be
                                    ignored. If this level does not have a number sequence (see nfc), this MUST be
                                    ignored.
                                </div>
                            </li>
                        </ul>
                        <a name="setIlvlRestartLim-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIlvlRestartLim</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setIlvlRestartLim(short&nbsp;field_10_ilvlRestartLim)</pre>
                                <div class="block">An unsigned integer that specifies the first (most-significant)
                                    zero-based level after which the number sequence of this level does not restart. The
                                    number sequence of this level does restart after any level that is more significant
                                    than the specified level. This MUST be less than or equal to the zero-based level of
                                    the list to which this LVLF corresponds. If fNoRestart is zero, this MUST be
                                    ignored. If this level does not have a number sequence (see nfc), this MUST be
                                    ignored.
                                </div>
                            </li>
                        </ul>
                        <a name="getGrfhic--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGrfhic</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;<a href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
               title="class in org.apache.poi.hwpf.model">Grfhic</a>&nbsp;getGrfhic()</pre>
                                <div class="block">A grfhic that specifies the HTML incompatibilities of the level..
                                </div>
                            </li>
                        </ul>
                        <a name="setGrfhic-org.apache.poi.hwpf.model.Grfhic-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setGrfhic</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setGrfhic(<a href="../../../../../../org/apache/poi/hwpf/model/Grfhic.html"
                                   title="class in org.apache.poi.hwpf.model">Grfhic</a>&nbsp;field_11_grfhic)</pre>
                                <div class="block">A grfhic that specifies the HTML incompatibilities of the level..
                                </div>
                            </li>
                        </ul>
                        <a name="setJc-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setJc</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setJc(byte&nbsp;value)</pre>
                                <div class="block">Sets the jc field value.
                                    An unsigned integer that specifies the justification of this level
                                </div>
                            </li>
                        </ul>
                        <a name="getJc--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getJc</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;byte&nbsp;getJc()</pre>
                                <div class="block">An unsigned integer that specifies the justification of this level
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the jc field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFLegal-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFLegal</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFLegal(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fLegal field value.
                                    A bit that specifies whether this level overrides the nfc of all inherited level
                                    numbers. If the original nfc of a level number is msonfcArabicLZ, it is preserved.
                                    Otherwise, the nfc of the level number is overridden by msonfcArabic.
                                </div>
                            </li>
                        </ul>
                        <a name="isFLegal--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFLegal</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFLegal()</pre>
                                <div class="block">A bit that specifies whether this level overrides the nfc of all
                                    inherited level numbers. If the original nfc of a level number is msonfcArabicLZ, it
                                    is preserved. Otherwise, the nfc of the level number is overridden by msonfcArabic.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fLegal field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFNoRestart-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFNoRestart</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFNoRestart(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fNoRestart field value.
                                    A bit that specifies whether the number sequence of the level does not restart after
                                    a level is encountered that is more significant than the level to which this LVLF
                                    corresponds
                                </div>
                            </li>
                        </ul>
                        <a name="isFNoRestart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFNoRestart</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFNoRestart()</pre>
                                <div class="block">A bit that specifies whether the number sequence of the level does
                                    not restart after a level is encountered that is more significant than the level to
                                    which this LVLF corresponds
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fNoRestart field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFIndentSav-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFIndentSav</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFIndentSav(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fIndentSav field value.
                                    A bit that specifies whether the level indented the text it was applied to and that
                                    the indent needs to be removed when numbering is removed. The indent to be removed
                                    is stored in dxaIndentSav
                                </div>
                            </li>
                        </ul>
                        <a name="isFIndentSav--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFIndentSav</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFIndentSav()</pre>
                                <div class="block">A bit that specifies whether the level indented the text it was
                                    applied to and that the indent needs to be removed when numbering is removed. The
                                    indent to be removed is stored in dxaIndentSav
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fIndentSav field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFConverted-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFConverted</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFConverted(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fConverted field value.
                                    A bit that specifies whether the nfc of this LVLF structure was previously a
                                    temporary value used for bidirectional compatibility that was converted into a
                                    standard MSONFC
                                </div>
                            </li>
                        </ul>
                        <a name="isFConverted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFConverted</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFConverted()</pre>
                                <div class="block">A bit that specifies whether the nfc of this LVLF structure was
                                    previously a temporary value used for bidirectional compatibility that was converted
                                    into a standard MSONFC
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fConverted field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setUnused1-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnused1</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setUnused1(boolean&nbsp;value)</pre>
                                <div class="block">Sets the unused1 field value.
                                    This bit MUST be ignored
                                </div>
                            </li>
                        </ul>
                        <a name="isUnused1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isUnused1</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
 @Deprecated
public&nbsp;boolean&nbsp;isUnused1()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">This field should not be used according to specification</span>
                                </div>
                                <div class="block">This bit MUST be ignored</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the unused1 field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFTentative-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFTentative</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFTentative(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fTentative field value.
                                    A bit that specifies whether the format of the level is tentative
                                </div>
                            </li>
                        </ul>
                        <a name="isFTentative--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isFTentative</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFTentative()</pre>
                                <div class="block">A bit that specifies whether the format of the level is tentative
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fTentative field value.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/LVLFAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/LSTFAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/PAPAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/LVLFAbstractType.html" target="_top">Frames</a>
        </li>
        <li><a href="LVLFAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
